...

Mise à Jour vers la version 2.0.14 de Smf

Démarré par maximus23, 13 mai 2017 à 20:31:11

« précédent - suivant »
En bas

maximus23

Bonjour à Tous,

Simple Machines Forum vous annonce la sortie d'un patch pour la branche 2.0.X de Smf qui mettra à jour votre forum de la version 2.0.13 vers la version 2.0.14 de Smf.

Ces corrections ont des implications sérieuses pour la sécurité de votre forum.
Nous conseillons vivement aux utilisateurs de mettre à jour leur version dès que possible.

Il est à noter que cette mise à jour pour la version 2.0.13 inclut quelques corrections essentielles au bon fonctionnement de votre forum.

Si vous désirez voir les modifications via le changelog pour cette mise à jour Page de Téléchargement.

Voici un Résumé Rapide concernant les modifications :

       
  • Additionne le support pour PHP 7.

  •    
  • Ajout de la fonction Proxy pour les Images venant de la version de SMF 2.1.

  •    
  • Additionne le HTTPS pour les Avatars.

  •    
  • Accepte les adresses de courrier avec de longs nom de domaine.

  •    
  • Voir le changelog pour plus d'informations.


Note pour les utilisateurs de SMF 2.0.X :

Si cela n'apparaît pas dans votre centre d'administration vous avez deux options : 

1 - Téléchargez le patch sur le Site de Mise à Jour et placez le dans le gestionnaire de paquet pour l'installer.

2 - Lancer l'application programmée dans Admin -> Maintenance -> Tâches Programmées.
Sélectionner la Tâche "Télécharger les fichiers Simple Machines" et cocher la case de la deuxième colonne puis cliquer sur le bouton "Lancer Maintenant".

Si vous avez des problèmes vous pouvez télécharger le patch via le Panneau d'Administration.

Vous pouvez également télécharger le patch directement sur le site upgrade patches page et l'installer via le gestionnaire de paquets comme un autre paquet tout simplement.

Si vous avez une version 2.0.x non mise à jour vous devez installer tout les patch en suivant.

Pour une ancienne version veuillez utiliser le large upgrade pour une mise à jour complète de votre forum.

Veuillez vous référer au manuel en ligne pour avoir plus de détails concernant :

Mise à Jour

Patch

Enfin, veuillez ne pas poster sur ce sujet pour des questions de support.

Vous obtiendrez des réponses plus rapidement en postant sur le forum adéquat.

Cordialement,

Simple Machines Forum Team.

Message original : Message Original
Amitiés et à Bientôt.
Have a Nice Day.

Goupilop

Bonjour Max,
C'est fait comme aussi simple que dire bonjour  ;)
Merci




Goupilop

Oups !
Max la version langue french n'est pas à jour sur la version indiquée, en effet elle renvoi lors du contrôle de version à partir du panel "routinières" la v.2.0.12 et non la v.2.0.14, regarde ci-dessous:


<?php
// Version: 2.0.12; Index
global $forum_copyright, $forum_version, $webmaster_email, $scripturl, $context, $boardurl;
// Locale (strftime, pspell_new) and spelling. (pspell_new, can be left as '' normally.)
// For more information see:
//   - http://www.php.net/function.pspell-new
//   - http://www.php.net/function.setlocale
// Again, SPELLING SHOULD BE '' 99% OF THE TIME!!  Please read this!
$txt['lang_locale'] = 'fr_FR.utf8';
$txt['lang_dictionary'] = 'fr';
$txt['lang_spelling'] = 'french';

J'ai corrigé les 2 fichiers version french en 2.0.14
Ils sont en attaché  ;)
Bonne continuation....et merci encore pour l'info d'upgrade....


maximus23

Bonjour,

Les fichiers de langue ne sont pas mis à jour en même temps que les patch de versions. Il y a toujours un décalage entre les deux.

:)
Amitiés et à Bientôt.
Have a Nice Day.

Goupilop

Pourtant si tu regarde le lien:
https://download.simplemachines.org/?smflanguages;lang=french
Tu télécharge et vérifie la version qui indique 2.0.12
Juste une petite correction à faire
Pas grave  ;)

Goupilop

Je viens de passer sur le serveur de PHP5.6 à PHP7.0
Aucun souci, ça roule ma poule  ;)

maximus23

Php 7 et http tu es du bon côté, en https c'est une autre paire de manche pour mettre cela en œuvre.

Attention il y a eu un bug à rectifier sur le proxy mais en http cela ne sert pas.

:)
Amitiés et à Bientôt.
Have a Nice Day.

Goupilop


Merci pour les précisions Max  :)
http:
Pour mon forum c'est très bien, pas envie de me prendre la tête avec SSL, je verrais + tard  ;)

Goupilop

Petite info Max,
Sur le copyright de SMF 2.0.14 il s'affiche en bas de page 2016 alors que nous sommes en 2017, c'est normal ?


D'après toi....
Bonne soirée  :)

maximus23

Amitiés et à Bientôt.
Have a Nice Day.

Paulo.chon

Citation de: Goupilop le 15 mai 2017 à 17:54:28Petite info Max,
Sur le copyright de SMF 2.0.14 il s'affiche en bas de page 2016 alors que nous sommes en 2017, c'est normal ?

D'après toi....
Bonne soirée  :)


Bonjour,

Tu peux le changer dans le fichier Themes/default/languages/index.french-utf8.php
Dans la partie qui commence par "$forum_copyright" (ou fais une recherche sur "2016").


Paulo.chon

J'en profite pour demander, puisque maintenant la version de PHP 7 est supportée, comment fait-on pour passer à cette version de PHP ?

Merci.

(véritable question de néophyte, hein ! Désolée !)

maximus23

Bonjour,

Tout dépend de ton hébergeur.

Chez certain c'est par htaccess pour d'autres c'est par la console de gestion de ton hébergement et pour d'autres il faut faire une migration vers les nouvelles plateformes de gestion de l'hébergement.

Alors chez qui es-tu on y verra plus clair ?

:)
Amitiés et à Bientôt.
Have a Nice Day.

Paulo.chon

16 mai 2017 à 14:50:56 #13 Dernière édition: 16 mai 2017 à 16:00:53 par Paulo.chon »
Je suis chez OVH.

Merci pour ta réponse !

D'après ce que je vois il suffirait d'aller modifier le fichier  .ovhconfig à la racine (par filezilla par exemple) et de le modifier pour passer de
Code
app.engine=php
app.engine.version=5.6
http.firewall=none
environment=production
à
Code
app.engine=php
app.engine.version=7.0
http.firewall=none
environment=production
Ca parait trop simple....

Goupilop

Citation de: Paulo.chon le 16 mai 2017 à 12:53:29
J'en profite pour demander, puisque maintenant la version de PHP 7 est supportée, comment fait-on pour passer à cette version de PHP ?
Merci.
(véritable question de néophyte, hein ! Désolée !)

Merci Paulo,
C'est corrigé (facile en +)



En haut